[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.IntfQueryEndSession

Called by the interface to confirm the end of a session.

## Declaration

Source position: forms.pp line 1695

`public procedure TApplication.IntfQueryEndSession(`
`var Cancel: Boolean`
`);`

## Arguments

`Cancel` |  | Returns True if the application can be terminated.

## Description

Asks all QueryEndSession handlers to confirm termination of the application.

## See also

TApplication.OnQueryEndSession |  | Event handler signalled to determine if the current session be be ended, and the application can be closed.
TApplicationHandlerType |  | Types of Application notification handlers.